## python-nbval 0.11.0

=== issues/67/Makefile ===
demo:
	py.test --nbval *ipynb


demo-mixed:
	py.test --nbval *ipynb test*py

=== debian/changelog ===
python-nbval (0.11.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1129546)

 -- Francesco Ballarin <ballarin@debian.org>  Mon, 02 Mar 2026 18:33:45 +0000

=== debian/control ===
Source: python-nbval
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Francesco Ballarin <ballarin@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-coverage,
 python3-ipykernel,
 python3-jupyter-client,
 python3-nbformat,
 python3-pytest,
 python3-setuptools
Standards-Version: 4.7.3
Homepage: https://github.com/computationalmodelling/nbval
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-nbval
Vcs-Git: https://salsa.debian.org/python-team/packages/python-nbval.git

Package: python3-nbval
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Pytest plugin for validating Jupyter notebooks (Python 3)
 The plugin adds functionality to py.test to recognise and collect Jupyter
 notebooks. The intended purpose of the tests is to determine whether execution
 of the stored inputs match the stored outputs of the .ipynb file. Whilst also
 ensuring that the notebooks are running without errors.
 .
 The tests were designed to ensure that Jupyter notebooks (especially those for
 reference and documentation), are executing consistently. Each cell is taken as
 a test, a cell that doesn't reproduce the expected output will fail.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=nbval

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:

=== debian/tests/control ===
Tests: run-tests
Depends:
 python3-all,
 python3-nbval,
 python3-pytest-cov,
 python3-sympy

=== debian/watch ===
Version: 5
Template: GitHub
Owner: computationalmodelling
Project: nbval
